source: squid-ssl/trunk/fuentes/src/servers/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 38.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/servers
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libservers_la_LIBADD =
162am_libservers_la_OBJECTS = FtpServer.lo HttpServer.lo
163libservers_la_OBJECTS = $(am_libservers_la_OBJECTS)
164AM_V_lt = $(am__v_lt_@AM_V@)
165am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
166am__v_lt_0 = --silent
167am__v_lt_1 =
168AM_V_P = $(am__v_P_@AM_V@)
169am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
170am__v_P_0 = false
171am__v_P_1 = :
172AM_V_GEN = $(am__v_GEN_@AM_V@)
173am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
174am__v_GEN_0 = @echo "  GEN     " $@;
175am__v_GEN_1 =
176AM_V_at = $(am__v_at_@AM_V@)
177am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
178am__v_at_0 = @
179am__v_at_1 =
180DEFAULT_INCLUDES =
181depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
182am__depfiles_maybe = depfiles
183am__mv = mv -f
184CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
185        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
186LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
187        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
188        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189        $(AM_CXXFLAGS) $(CXXFLAGS)
190AM_V_CXX = $(am__v_CXX_@AM_V@)
191am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
192am__v_CXX_0 = @echo "  CXX     " $@;
193am__v_CXX_1 =
194CXXLD = $(CXX)
195CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
197        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
199am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
200am__v_CXXLD_0 = @echo "  CXXLD   " $@;
201am__v_CXXLD_1 =
202COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207        $(AM_CFLAGS) $(CFLAGS)
208AM_V_CC = $(am__v_CC_@AM_V@)
209am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
210am__v_CC_0 = @echo "  CC      " $@;
211am__v_CC_1 =
212CCLD = $(CC)
213LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215        $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CCLD = $(am__v_CCLD_@AM_V@)
217am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
218am__v_CCLD_0 = @echo "  CCLD    " $@;
219am__v_CCLD_1 =
220SOURCES = $(libservers_la_SOURCES)
221DIST_SOURCES = $(libservers_la_SOURCES)
222am__can_run_installinfo = \
223  case $$AM_UPDATE_INFO_DIR in \
224    n|no|NO) false;; \
225    *) (install-info --version) >/dev/null 2>&1;; \
226  esac
227am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
228# Read a list of newline-separated strings from the standard input,
229# and print each of them once, without duplicates.  Input order is
230# *not* preserved.
231am__uniquify_input = $(AWK) '\
232  BEGIN { nonempty = 0; } \
233  { items[$$0] = 1; nonempty = 1; } \
234  END { if (nonempty) { for (i in items) print i; }; } \
235'
236# Make sure the list of sources is unique.  This is necessary because,
237# e.g., the same source file might be shared among _SOURCES variables
238# for different programs/libraries.
239am__define_uniq_tagged_files = \
240  list='$(am__tagged_files)'; \
241  unique=`for i in $$list; do \
242    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
243  done | $(am__uniquify_input)`
244ETAGS = etags
245CTAGS = ctags
246am__tty_colors_dummy = \
247  mgn= red= grn= lgn= blu= brg= std=; \
248  am__color_tests=no
249am__tty_colors = { \
250  $(am__tty_colors_dummy); \
251  if test "X$(AM_COLOR_TESTS)" = Xno; then \
252    am__color_tests=no; \
253  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
254    am__color_tests=yes; \
255  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
256    am__color_tests=yes; \
257  fi; \
258  if test $$am__color_tests = yes; then \
259    red='[0;31m'; \
260    grn='[0;32m'; \
261    lgn='[1;32m'; \
262    blu='[1;34m'; \
263    mgn='[0;35m'; \
264    brg='[1m'; \
265    std='[m'; \
266  fi; \
267}
268am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
269am__vpath_adj = case $$p in \
270    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
271    *) f=$$p;; \
272  esac;
273am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
274am__install_max = 40
275am__nobase_strip_setup = \
276  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
277am__nobase_strip = \
278  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
279am__nobase_list = $(am__nobase_strip_setup); \
280  for p in $$list; do echo "$$p $$p"; done | \
281  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
282  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
283    if (++n[$$2] == $(am__install_max)) \
284      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
285    END { for (dir in files) print dir, files[dir] }'
286am__base_list = \
287  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
288  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
289am__uninstall_files_from_dir = { \
290  test -z "$$files" \
291    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
292    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
293         $(am__cd) "$$dir" && rm -f $$files; }; \
294  }
295am__recheck_rx = ^[     ]*:recheck:[    ]*
296am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
297am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
298# A command that, given a newline-separated list of test names on the
299# standard input, print the name of the tests that are to be re-run
300# upon "make recheck".
301am__list_recheck_tests = $(AWK) '{ \
302  recheck = 1; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306        { \
307          if ((getline line2 < ($$0 ".log")) < 0) \
308            recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
312        { \
313          recheck = 0; \
314          break; \
315        } \
316      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
317        { \
318          break; \
319        } \
320    }; \
321  if (recheck) \
322    print $$0; \
323  close ($$0 ".trs"); \
324  close ($$0 ".log"); \
325}'
326# A command that, given a newline-separated list of test names on the
327# standard input, create the global log from their .trs and .log files.
328am__create_global_log = $(AWK) ' \
329function fatal(msg) \
330{ \
331  print "fatal: making $@: " msg | "cat >&2"; \
332  exit 1; \
333} \
334function rst_section(header) \
335{ \
336  print header; \
337  len = length(header); \
338  for (i = 1; i <= len; i = i + 1) \
339    printf "="; \
340  printf "\n\n"; \
341} \
342{ \
343  copy_in_global_log = 1; \
344  global_test_result = "RUN"; \
345  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
346    { \
347      if (rc < 0) \
348         fatal("failed to read from " $$0 ".trs"); \
349      if (line ~ /$(am__global_test_result_rx)/) \
350        { \
351          sub("$(am__global_test_result_rx)", "", line); \
352          sub("[        ]*$$", "", line); \
353          global_test_result = line; \
354        } \
355      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
356        copy_in_global_log = 0; \
357    }; \
358  if (copy_in_global_log) \
359    { \
360      rst_section(global_test_result ": " $$0); \
361      while ((rc = (getline line < ($$0 ".log"))) != 0) \
362      { \
363        if (rc < 0) \
364          fatal("failed to read from " $$0 ".log"); \
365        print line; \
366      }; \
367      printf "\n"; \
368    }; \
369  close ($$0 ".trs"); \
370  close ($$0 ".log"); \
371}'
372# Restructured Text title.
373am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
374# Solaris 10 'make', and several other traditional 'make' implementations,
375# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
376# by disabling -e (using the XSI extension "set +e") if it's set.
377am__sh_e_setup = case $$- in *e*) set +e;; esac
378# Default flags passed to test drivers.
379am__common_driver_flags = \
380  --color-tests "$$am__color_tests" \
381  --enable-hard-errors "$$am__enable_hard_errors" \
382  --expect-failure "$$am__expect_failure"
383# To be inserted before the command running the test.  Creates the
384# directory for the log if needed.  Stores in $dir the directory
385# containing $f, in $tst the test, in $log the log.  Executes the
386# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
387# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
388# will run the test scripts (or their associated LOG_COMPILER, if
389# thy have one).
390am__check_pre = \
391$(am__sh_e_setup);                                      \
392$(am__vpath_adj_setup) $(am__vpath_adj)                 \
393$(am__tty_colors);                                      \
394srcdir=$(srcdir); export srcdir;                        \
395case "$@" in                                            \
396  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
397    *) am__odir=.;;                                     \
398esac;                                                   \
399test "x$$am__odir" = x"." || test -d "$$am__odir"       \
400  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
401if test -f "./$$f"; then dir=./;                        \
402elif test -f "$$f"; then dir=;                          \
403else dir="$(srcdir)/"; fi;                              \
404tst=$$dir$$f; log='$@';                                 \
405if test -n '$(DISABLE_HARD_ERRORS)'; then               \
406  am__enable_hard_errors=no;                            \
407else                                                    \
408  am__enable_hard_errors=yes;                           \
409fi;                                                     \
410case " $(XFAIL_TESTS) " in                              \
411  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
412    am__expect_failure=yes;;                            \
413  *)                                                    \
414    am__expect_failure=no;;                             \
415esac;                                                   \
416$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
417# A shell command to get the names of the tests scripts with any registered
418# extension removed (i.e., equivalently, the names of the test logs, with
419# the '.log' extension removed).  The result is saved in the shell variable
420# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
421# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
422# since that might cause problem with VPATH rewrites for suffix-less tests.
423# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
424am__set_TESTS_bases = \
425  bases='$(TEST_LOGS)'; \
426  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
427  bases=`echo $$bases`
428RECHECK_LOGS = $(TEST_LOGS)
429AM_RECURSIVE_TARGETS = check recheck
430TEST_SUITE_LOG = test-suite.log
431TEST_EXTENSIONS = @EXEEXT@ .test
432LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
433LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
434am__set_b = \
435  case '$@' in \
436    */*) \
437      case '$*' in \
438        */*) b='$*';; \
439          *) b=`echo '$@' | sed 's/\.log$$//'`; \
440       esac;; \
441    *) \
442      b='$*';; \
443  esac
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
451        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
452        $(top_srcdir)/src/TestHeaders.am
453DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
454ACLOCAL = @ACLOCAL@
455ADAPTATION_LIBS = @ADAPTATION_LIBS@
456ALLOCA = @ALLOCA@
457AMTAR = @AMTAR@
458AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
459AR = @AR@
460ARGZ_H = @ARGZ_H@
461AR_R = @AR_R@
462AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
463AUTH_MODULES = @AUTH_MODULES@
464AUTOCONF = @AUTOCONF@
465AUTOHEADER = @AUTOHEADER@
466AUTOMAKE = @AUTOMAKE@
467AWK = @AWK@
468BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
469BUILDCXX = @BUILDCXX@
470BUILDCXXFLAGS = @BUILDCXXFLAGS@
471BZR = @BZR@
472CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
473CC = @CC@
474CCDEPMODE = @CCDEPMODE@
475CFLAGS = @CFLAGS@
476CGIEXT = @CGIEXT@
477CHMOD = @CHMOD@
478CPP = @CPP@
479CPPFLAGS = @CPPFLAGS@
480CPPUNITCONFIG = @CPPUNITCONFIG@
481CRYPTLIB = @CRYPTLIB@
482CXX = @CXX@
483CXXCPP = @CXXCPP@
484CXXDEPMODE = @CXXDEPMODE@
485CXXFLAGS = @CXXFLAGS@
486CYGPATH_W = @CYGPATH_W@
487DEFAULT_HOSTS = @DEFAULT_HOSTS@
488DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
489DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
490DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
491DEFS = @DEFS@
492DEPDIR = @DEPDIR@
493DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
494DISK_LIBS = @DISK_LIBS@
495DISK_LINKOBJS = @DISK_LINKOBJS@
496DISK_MODULES = @DISK_MODULES@
497DISK_OS_LIBS = @DISK_OS_LIBS@
498DISK_PROGRAMS = @DISK_PROGRAMS@
499DLLTOOL = @DLLTOOL@
500DSYMUTIL = @DSYMUTIL@
501DUMPBIN = @DUMPBIN@
502ECAP_LIBS = @ECAP_LIBS@
503ECHO_C = @ECHO_C@
504ECHO_N = @ECHO_N@
505ECHO_T = @ECHO_T@
506EGREP = @EGREP@
507EPOLL_LIBS = @EPOLL_LIBS@
508EUILIB = @EUILIB@
509EXEEXT = @EXEEXT@
510EXPATLIB = @EXPATLIB@
511EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
512EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
513EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
514FALSE = @FALSE@
515FGREP = @FGREP@
516GREP = @GREP@
517HAVE_CXX11 = @HAVE_CXX11@
518ICAP_LIBS = @ICAP_LIBS@
519INCLTDL = @INCLTDL@
520INSTALL = @INSTALL@
521INSTALL_DATA = @INSTALL_DATA@
522INSTALL_PROGRAM = @INSTALL_PROGRAM@
523INSTALL_SCRIPT = @INSTALL_SCRIPT@
524INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
525KRB5INCS = @KRB5INCS@
526KRB5LIBS = @KRB5LIBS@
527LBERLIB = @LBERLIB@
528LD = @LD@
529LDAPLIB = @LDAPLIB@
530LDFLAGS = @LDFLAGS@
531LIBADD_DL = @LIBADD_DL@
532LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
533LIBADD_DLOPEN = @LIBADD_DLOPEN@
534LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
535LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
536LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
537LIBLTDL = @LIBLTDL@
538LIBOBJS = @LIBOBJS@
539LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
540LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
541LIBS = @LIBS@
542LIBSASL = @LIBSASL@
543LIBTOOL = @LIBTOOL@
544LIB_DB = @LIB_DB@
545LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
546LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
547LINUXDOC = @LINUXDOC@
548LIPO = @LIPO@
549LN = @LN@
550LN_S = @LN_S@
551LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
552LTDLDEPS = @LTDLDEPS@
553LTDLINCL = @LTDLINCL@
554LTDLOPEN = @LTDLOPEN@
555LTLIBOBJS = @LTLIBOBJS@
556LT_CONFIG_H = @LT_CONFIG_H@
557LT_DLLOADERS = @LT_DLLOADERS@
558LT_DLPREOPEN = @LT_DLPREOPEN@
559MAINT = @MAINT@
560MAKEINFO = @MAKEINFO@
561MANIFEST_TOOL = @MANIFEST_TOOL@
562MINGW_LIBS = @MINGW_LIBS@
563MKDIR = @MKDIR@
564MKDIR_P = @MKDIR_P@
565MV = @MV@
566NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
567NETTLELIB = @NETTLELIB@
568NM = @NM@
569NMEDIT = @NMEDIT@
570NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
571OBJDUMP = @OBJDUMP@
572OBJEXT = @OBJEXT@
573OTOOL = @OTOOL@
574OTOOL64 = @OTOOL64@
575PACKAGE = @PACKAGE@
576PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
577PACKAGE_NAME = @PACKAGE_NAME@
578PACKAGE_STRING = @PACKAGE_STRING@
579PACKAGE_TARNAME = @PACKAGE_TARNAME@
580PACKAGE_URL = @PACKAGE_URL@
581PACKAGE_VERSION = @PACKAGE_VERSION@
582PATH_SEPARATOR = @PATH_SEPARATOR@
583PERL = @PERL@
584PKG_CONFIG = @PKG_CONFIG@
585PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
586PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
587PO2HTML = @PO2HTML@
588PO2TEXT = @PO2TEXT@
589POD2MAN = @POD2MAN@
590RANLIB = @RANLIB@
591REGEXLIB = @REGEXLIB@
592REPL_LIBS = @REPL_LIBS@
593REPL_OBJS = @REPL_OBJS@
594REPL_POLICIES = @REPL_POLICIES@
595RM = @RM@
596SED = @SED@
597SET_MAKE = @SET_MAKE@
598SH = @SH@
599SHELL = @SHELL@
600SMBCLIENT = @SMBCLIENT@
601SNMPLIB = @SNMPLIB@
602SQUID_CFLAGS = @SQUID_CFLAGS@
603SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
604SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
605SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
606SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
607SSLLIB = @SSLLIB@
608STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
609STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
610STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
611STORE_TESTS = @STORE_TESTS@
612STRIP = @STRIP@
613TR = @TR@
614TRUE = @TRUE@
615URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
616VERSION = @VERSION@
617WBINFO = @WBINFO@
618WIN32_PSAPI = @WIN32_PSAPI@
619XMLLIB = @XMLLIB@
620XTRA_LIBS = @XTRA_LIBS@
621XTRA_OBJS = @XTRA_OBJS@
622abs_builddir = @abs_builddir@
623abs_srcdir = @abs_srcdir@
624abs_top_builddir = @abs_top_builddir@
625abs_top_srcdir = @abs_top_srcdir@
626ac_ct_AR = @ac_ct_AR@
627ac_ct_CC = @ac_ct_CC@
628ac_ct_CXX = @ac_ct_CXX@
629ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
630am__include = @am__include@
631am__leading_dot = @am__leading_dot@
632am__quote = @am__quote@
633am__tar = @am__tar@
634am__untar = @am__untar@
635bindir = @bindir@
636build = @build@
637build_alias = @build_alias@
638build_cpu = @build_cpu@
639build_os = @build_os@
640build_vendor = @build_vendor@
641builddir = @builddir@
642datadir = @datadir@
643datarootdir = @datarootdir@
644docdir = @docdir@
645dvidir = @dvidir@
646exec_prefix = @exec_prefix@
647host = @host@
648host_alias = @host_alias@
649host_cpu = @host_cpu@
650host_os = @host_os@
651host_vendor = @host_vendor@
652htmldir = @htmldir@
653includedir = @includedir@
654infodir = @infodir@
655install_sh = @install_sh@
656krb5_config = @krb5_config@
657libdir = @libdir@
658libexecdir = @libexecdir@
659localedir = @localedir@
660localstatedir = @localstatedir@
661ltdl_LIBOBJS = @ltdl_LIBOBJS@
662ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
663mandir = @mandir@
664mkdir_p = @mkdir_p@
665oldincludedir = @oldincludedir@
666pdfdir = @pdfdir@
667prefix = @prefix@
668program_transform_name = @program_transform_name@
669psdir = @psdir@
670runstatedir = @runstatedir@
671sbindir = @sbindir@
672sharedstatedir = @sharedstatedir@
673srcdir = @srcdir@
674subdirs = @subdirs@
675sys_symbol_underscore = @sys_symbol_underscore@
676sysconfdir = @sysconfdir@
677target_alias = @target_alias@
678top_build_prefix = @top_build_prefix@
679top_builddir = @top_builddir@
680top_srcdir = @top_srcdir@
681AM_CFLAGS = $(SQUID_CFLAGS)
682AM_CXXFLAGS = $(SQUID_CXXFLAGS)
683CLEANFILES = testHeaders
684TESTS = testHeaders
685AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
686        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
687        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
688        $(am__append_1)
689@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
690@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
691COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
692subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
693noinst_LTLIBRARIES = libservers.la
694libservers_la_SOURCES = \
695        FtpServer.cc \
696        FtpServer.h \
697        HttpServer.cc \
698        forward.h
699
700all: all-am
701
702.SUFFIXES:
703.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
704$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
705        @for dep in $?; do \
706          case '$(am__configure_deps)' in \
707            *$$dep*) \
708              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
709                && { if test -f $@; then exit 0; else break; fi; }; \
710              exit 1;; \
711          esac; \
712        done; \
713        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/servers/Makefile'; \
714        $(am__cd) $(top_srcdir) && \
715          $(AUTOMAKE) --foreign src/servers/Makefile
716Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
717        @case '$?' in \
718          *config.status*) \
719            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
720          *) \
721            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
722            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
723        esac;
724$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
725
726$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
727        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728
729$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
730        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
731$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
732        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
733$(am__aclocal_m4_deps):
734
735clean-noinstLTLIBRARIES:
736        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
737        @list='$(noinst_LTLIBRARIES)'; \
738        locs=`for p in $$list; do echo $$p; done | \
739              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
740              sort -u`; \
741        test -z "$$locs" || { \
742          echo rm -f $${locs}; \
743          rm -f $${locs}; \
744        }
745
746libservers.la: $(libservers_la_OBJECTS) $(libservers_la_DEPENDENCIES) $(EXTRA_libservers_la_DEPENDENCIES)
747        $(AM_V_CXXLD)$(CXXLINK)  $(libservers_la_OBJECTS) $(libservers_la_LIBADD) $(LIBS)
748
749clean-checkPROGRAMS:
750        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
751        echo " rm -f" $$list; \
752        rm -f $$list || exit $$?; \
753        test -n "$(EXEEXT)" || exit 0; \
754        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
755        echo " rm -f" $$list; \
756        rm -f $$list
757
758mostlyclean-compile:
759        -rm -f *.$(OBJEXT)
760
761distclean-compile:
762        -rm -f *.tab.c
763
764@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FtpServer.Plo@am__quote@
765@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpServer.Plo@am__quote@
766
767.cc.o:
768@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
769@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
770@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
771@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
772@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
774
775.cc.obj:
776@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
777@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
778@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
779@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
780@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
782
783.cc.lo:
784@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
785@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
786@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
787@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
788@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
790
791mostlyclean-libtool:
792        -rm -f *.lo
793
794clean-libtool:
795        -rm -rf .libs _libs
796
797ID: $(am__tagged_files)
798        $(am__define_uniq_tagged_files); mkid -fID $$unique
799tags: tags-am
800TAGS: tags
801
802tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
803        set x; \
804        here=`pwd`; \
805        $(am__define_uniq_tagged_files); \
806        shift; \
807        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
808          test -n "$$unique" || unique=$$empty_fix; \
809          if test $$# -gt 0; then \
810            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
811              "$$@" $$unique; \
812          else \
813            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
814              $$unique; \
815          fi; \
816        fi
817ctags: ctags-am
818
819CTAGS: ctags
820ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
821        $(am__define_uniq_tagged_files); \
822        test -z "$(CTAGS_ARGS)$$unique" \
823          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
824             $$unique
825
826GTAGS:
827        here=`$(am__cd) $(top_builddir) && pwd` \
828          && $(am__cd) $(top_srcdir) \
829          && gtags -i $(GTAGS_ARGS) "$$here"
830cscopelist: cscopelist-am
831
832cscopelist-am: $(am__tagged_files)
833        list='$(am__tagged_files)'; \
834        case "$(srcdir)" in \
835          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
836          *) sdir=$(subdir)/$(srcdir) ;; \
837        esac; \
838        for i in $$list; do \
839          if test -f "$$i"; then \
840            echo "$(subdir)/$$i"; \
841          else \
842            echo "$$sdir/$$i"; \
843          fi; \
844        done >> $(top_builddir)/cscope.files
845
846distclean-tags:
847        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
848
849# Recover from deleted '.trs' file; this should ensure that
850# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
851# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
852# to avoid problems with "make -n".
853.log.trs:
854        rm -f $< $@
855        $(MAKE) $(AM_MAKEFLAGS) $<
856
857# Leading 'am--fnord' is there to ensure the list of targets does not
858# expand to empty, as could happen e.g. with make check TESTS=''.
859am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
860am--force-recheck:
861        @:
862
863$(TEST_SUITE_LOG): $(TEST_LOGS)
864        @$(am__set_TESTS_bases); \
865        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
866        redo_bases=`for i in $$bases; do \
867                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
868                    done`; \
869        if test -n "$$redo_bases"; then \
870          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
871          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
872          if $(am__make_dryrun); then :; else \
873            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
874          fi; \
875        fi; \
876        if test -n "$$am__remaking_logs"; then \
877          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
878               "recursion detected" >&2; \
879        elif test -n "$$redo_logs"; then \
880          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
881        fi; \
882        if $(am__make_dryrun); then :; else \
883          st=0;  \
884          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
885          for i in $$redo_bases; do \
886            test -f $$i.trs && test -r $$i.trs \
887              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
888            test -f $$i.log && test -r $$i.log \
889              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
890          done; \
891          test $$st -eq 0 || exit 1; \
892        fi
893        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
894        ws='[   ]'; \
895        results=`for b in $$bases; do echo $$b.trs; done`; \
896        test -n "$$results" || results=/dev/null; \
897        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
898        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
899        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
900        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
901        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
902        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
903        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
904        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
905          success=true; \
906        else \
907          success=false; \
908        fi; \
909        br='==================='; br=$$br$$br$$br$$br; \
910        result_count () \
911        { \
912            if test x"$$1" = x"--maybe-color"; then \
913              maybe_colorize=yes; \
914            elif test x"$$1" = x"--no-color"; then \
915              maybe_colorize=no; \
916            else \
917              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
918            fi; \
919            shift; \
920            desc=$$1 count=$$2; \
921            if test $$maybe_colorize = yes && test $$count -gt 0; then \
922              color_start=$$3 color_end=$$std; \
923            else \
924              color_start= color_end=; \
925            fi; \
926            echo "$${color_start}# $$desc $$count$${color_end}"; \
927        }; \
928        create_testsuite_report () \
929        { \
930          result_count $$1 "TOTAL:" $$all   "$$brg"; \
931          result_count $$1 "PASS: " $$pass  "$$grn"; \
932          result_count $$1 "SKIP: " $$skip  "$$blu"; \
933          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
934          result_count $$1 "FAIL: " $$fail  "$$red"; \
935          result_count $$1 "XPASS:" $$xpass "$$red"; \
936          result_count $$1 "ERROR:" $$error "$$mgn"; \
937        }; \
938        {                                                               \
939          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
940            $(am__rst_title);                                           \
941          create_testsuite_report --no-color;                           \
942          echo;                                                         \
943          echo ".. contents:: :depth: 2";                               \
944          echo;                                                         \
945          for b in $$bases; do echo $$b; done                           \
946            | $(am__create_global_log);                                 \
947        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
948        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
949        if $$success; then                                              \
950          col="$$grn";                                                  \
951         else                                                           \
952          col="$$red";                                                  \
953          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
954        fi;                                                             \
955        echo "$${col}$$br$${std}";                                      \
956        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
957        echo "$${col}$$br$${std}";                                      \
958        create_testsuite_report --maybe-color;                          \
959        echo "$$col$$br$$std";                                          \
960        if $$success; then :; else                                      \
961          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
962          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
963            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
964          fi;                                                           \
965          echo "$$col$$br$$std";                                        \
966        fi;                                                             \
967        $$success || exit 1
968
969check-TESTS:
970        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
971        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
972        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
973        @set +e; $(am__set_TESTS_bases); \
974        log_list=`for i in $$bases; do echo $$i.log; done`; \
975        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
976        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
977        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
978        exit $$?;
979recheck: all $(check_PROGRAMS)
980        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
981        @set +e; $(am__set_TESTS_bases); \
982        bases=`for i in $$bases; do echo $$i; done \
983                 | $(am__list_recheck_tests)` || exit 1; \
984        log_list=`for i in $$bases; do echo $$i.log; done`; \
985        log_list=`echo $$log_list`; \
986        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
987                am__force_recheck=am--force-recheck \
988                TEST_LOGS="$$log_list"; \
989        exit $$?
990testHeaders.log: testHeaders
991        @p='testHeaders'; \
992        b='testHeaders'; \
993        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
994        --log-file $$b.log --trs-file $$b.trs \
995        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
996        "$$tst" $(AM_TESTS_FD_REDIRECT)
997.test.log:
998        @p='$<'; \
999        $(am__set_b); \
1000        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1001        --log-file $$b.log --trs-file $$b.trs \
1002        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1003        "$$tst" $(AM_TESTS_FD_REDIRECT)
1004@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1005@am__EXEEXT_TRUE@       @p='$<'; \
1006@am__EXEEXT_TRUE@       $(am__set_b); \
1007@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1008@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1009@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1010@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1011
1012distdir: $(DISTFILES)
1013        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1014        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1015        list='$(DISTFILES)'; \
1016          dist_files=`for file in $$list; do echo $$file; done | \
1017          sed -e "s|^$$srcdirstrip/||;t" \
1018              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1019        case $$dist_files in \
1020          */*) $(MKDIR_P) `echo "$$dist_files" | \
1021                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1022                           sort -u` ;; \
1023        esac; \
1024        for file in $$dist_files; do \
1025          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1026          if test -d $$d/$$file; then \
1027            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1028            if test -d "$(distdir)/$$file"; then \
1029              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1030            fi; \
1031            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1032              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1033              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1034            fi; \
1035            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1036          else \
1037            test -f "$(distdir)/$$file" \
1038            || cp -p $$d/$$file "$(distdir)/$$file" \
1039            || exit 1; \
1040          fi; \
1041        done
1042check-am: all-am
1043        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1044        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1045check: check-am
1046all-am: Makefile $(LTLIBRARIES)
1047installdirs:
1048install: install-am
1049install-exec: install-exec-am
1050install-data: install-data-am
1051uninstall: uninstall-am
1052
1053install-am: all-am
1054        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1055
1056installcheck: installcheck-am
1057install-strip:
1058        if test -z '$(STRIP)'; then \
1059          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1060            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1061              install; \
1062        else \
1063          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1064            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1065            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1066        fi
1067mostlyclean-generic:
1068        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1069        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1070        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1071
1072clean-generic:
1073        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1074
1075distclean-generic:
1076        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1077        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1078
1079maintainer-clean-generic:
1080        @echo "This command is intended for maintainers to use"
1081        @echo "it deletes files that may require special tools to rebuild."
1082clean: clean-am
1083
1084clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1085        clean-noinstLTLIBRARIES mostlyclean-am
1086
1087distclean: distclean-am
1088        -rm -rf ./$(DEPDIR)
1089        -rm -f Makefile
1090distclean-am: clean-am distclean-compile distclean-generic \
1091        distclean-tags
1092
1093dvi: dvi-am
1094
1095dvi-am:
1096
1097html: html-am
1098
1099html-am:
1100
1101info: info-am
1102
1103info-am:
1104
1105install-data-am:
1106
1107install-dvi: install-dvi-am
1108
1109install-dvi-am:
1110
1111install-exec-am:
1112
1113install-html: install-html-am
1114
1115install-html-am:
1116
1117install-info: install-info-am
1118
1119install-info-am:
1120
1121install-man:
1122
1123install-pdf: install-pdf-am
1124
1125install-pdf-am:
1126
1127install-ps: install-ps-am
1128
1129install-ps-am:
1130
1131installcheck-am:
1132
1133maintainer-clean: maintainer-clean-am
1134        -rm -rf ./$(DEPDIR)
1135        -rm -f Makefile
1136maintainer-clean-am: distclean-am maintainer-clean-generic
1137
1138mostlyclean: mostlyclean-am
1139
1140mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1141        mostlyclean-libtool
1142
1143pdf: pdf-am
1144
1145pdf-am:
1146
1147ps: ps-am
1148
1149ps-am:
1150
1151uninstall-am:
1152
1153.MAKE: check-am install-am install-strip
1154
1155.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1156        clean-checkPROGRAMS clean-generic clean-libtool \
1157        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1158        distclean-compile distclean-generic distclean-libtool \
1159        distclean-tags distdir dvi dvi-am html html-am info info-am \
1160        install install-am install-data install-data-am install-dvi \
1161        install-dvi-am install-exec install-exec-am install-html \
1162        install-html-am install-info install-info-am install-man \
1163        install-pdf install-pdf-am install-ps install-ps-am \
1164        install-strip installcheck installcheck-am installdirs \
1165        maintainer-clean maintainer-clean-generic mostlyclean \
1166        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1167        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1168        uninstall-am
1169
1170.PRECIOUS: Makefile
1171
1172
1173$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1174
1175testHeaders: $(srcdir)/*.h
1176        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1177
1178.PHONY: testHeaders
1179
1180# Tell versions [3.59,3.63) of GNU make to not export all variables.
1181# Otherwise a system limit (for SysV at least) may be exceeded.
1182.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.